#!/usr/bin/env python
import coral
import coral ; UML14=coral.lang.UML14 
m = coral.loadModel("hrefs2.xmi")
assert(m)
owned = m.ownedElement
assert(owned.size() == 1)
c = owned[0]

assert(c.oclIsKindOf(UML14.Class))
o = c.instance[0]

print o
print o.classifier
assert(o.classifier.size() == 1)
assert(o.classifier[0] == c)
assert(c.instance.size() == 1)
assert(c.instance[0] == o)


